Skip to main content

GET /api/v1/p2p/ads/my

Retrieve all P2P advertisements belonging to the authenticated user, regardless of status.

Authentication​

Required. Pass a Bearer token in the Authorization header.

Request​

No parameters.

Example​

curl https://example.com/api/v1/p2p/ads/my \
-H "Authorization: Bearer <token>"

Response​

200 OK​

Returns an object with ads array of P2PAd objects owned by the current user.

{
"ads": [
{
"id": 42,
"user_id": 7,
"type": "sell",
"fiat_currency": "RUB",
"exchange_rate": 9350,
"min_amount": 50000,
"max_amount": 50000000,
"remaining_amount": 50000000,
"payment_methods": ["sber", "tinkoff"],
"payment_details": {
"sber": "4276 **** **** 1234",
"tinkoff": "4377 **** **** 5678"
},
"instructions": "Transfer to the card number shown after order creation.",
"is_active": true,
"moderation_status": "approved",
"is_platform_ad": false,
"created_at": "2026-04-04T12:00:00Z",
"updated_at": "2026-04-04T12:00:00Z"
}
]
}

Errors​

StatusCodeDescription
401UNAUTHORIZEDMissing or invalid token